/* 7bit.c */

/* Text filter to convert high-ascii characters to low
 * Useful for posting to Internet and Usenet, which can't take the
 * 8-bit stuff.
 *
 * Syntax:  7bit <input_file >output_file
 *
 * duane.paulson@kandy.com
 */

#include <stdio.h>

char xlst[]="CueaaaaceeeiiiAAE..ooouuyOU.....aiounN........<>###||||++||++++++--|-+||++==|=+=-=-++++++++#####....................../~......* ";

main()
{
	int k;

	while( (k=getchar()) != EOF )
		putchar( (k<128) ? k : (int)xlst[k-128]);
}
